=== debian/changelog ===
ros-kinetic-vesc-ackermann (1.0.0-1xenial) xenial; urgency=high

  * Applying roslint to vesc_ackerman.
  * Adding roslint.
  * Adding licenses.
  * Updating maintainers, authors, and URLs.
  * added onboard car
  * Contributors: Joshua Whitley, billyzheng

 -- Johannes Betz <joebetz@seas.upenn.edu>  Wed, 02 Dec 2020 06:00:00 -0000
