=== debian/control ===
Source: ros-kinetic-vesc-ackermann
Section: misc
Priority: optional
Maintainer: Johannes Betz <joebetz@seas.upenn.edu>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-ackermann-msgs, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-vesc-msgs
Homepage: http://www.ros.org/wiki/vesc_ackermann
Standards-Version: 3.9.2

Package: ros-kinetic-vesc-ackermann
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ackermann-msgs, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-tf, ros-kinetic-vesc-msgs
Description: Translate between VESC messages and ROS ackermann and odometry messages.
